﻿:root {
    --darkest-grey: #343E46;
    --darkest-grey-rgb: 52,62,70;
    --massage-green-rgb: 184,209,73;
    --light-grey-rgb: 230,229,229;
    --massage-green: #B8D149;
    --dark-grey: #586A77;
    --dark-grey-30: rgba(88, 106, 119, 0.3);
    --light-grey: #E6E5E5;
    --light-grey-50: rgba(230,229,229,0.5);
    --dark-grey-20: rgba(88,106,119,0.2);
    --mid-tone-grey: #798893;
    --mid-tone-grey-rgb: 121 136 147;
    --massage-green-20: rgba(184, 209, 73, 0.2);
}

.seo-map-wrapper .sectionPadding2.twoColumnWrapper {
    height: 550px;
    display: flex;
}

.seo-map-wrapper .sectionPadding2.twoColumnWrapper > div {
    padding: 0px;
}

.seo-map-wrapper .map-block {
    position: relative;
}

.seo-map-wrapper #map {
    width: 100%;
    height: 100%;
}

.seo-map-wrapper ul.clinicSearch {
    height: 100%;
    overflow-y: scroll;
    background: var(--light-grey-50);
    margin-bottom: 0px;
    padding: 35px 30px;
}

.seo-map-wrapper ul.clinicSearch li {
    overflow: auto;
    background: #ffffff;
    padding-left: 0px;
    padding: 25px;
    border: 2px solid var(--massage-green);
    border-radius: 10px;
    display: flex;
}

.seo-map-wrapper ul.clinicSearch li.selected {
    border-color: var(--dark-grey)!important;
}

.seo-map-wrapper ul.clinicSearch li:before {
    display: none!important;
}

.seo-map-wrapper ul.clinicSearch li .left-col {
    width: 43%;
}

.seo-map-wrapper ul.clinicSearch li .right-col {
    width: 57%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

/* Title Bar */

.seo-map-wrapper .green-bar {
    background: var(--massage-green);
    padding: 15px 0px; 
}

.seo-map-wrapper .green-bar h3 {
    margin: 0px;
}

.seo-map-wrapper .top-section {
    display: flex;
    justify-content: end;
}

.seo-map-wrapper p.location-button-wrapper {
    margin-bottom: 0px;
    display: flex;
    justify-content: end;
    gap: 10px;
}

.seo-map-wrapper ul.clinicSearch li .left-col a {
    font-weight: 500;
}

.seo-map-wrapper .addressWrapper,
.seo-map-wrapper .phoneWrapper {
    display: flex;
    gap: 10px;
}

.seo-map-wrapper p.clinicName a,
.seo-map-wrapper p.clinicName a:hover {
    font-size: 20px !important;
    font-weight: 700 !important;
    text-decoration: underline !important;
    text-decoration-color: var(--massage-green) !important;
    text-underline-offset: 7px !important;
    text-decoration-thickness: 2px !important;
}

.seo-map-wrapper p.clinicName {
    margin-bottom: 15px;
}

.seo-map-wrapper .addressWrapper .icon-wrapper i {
    font-size: 23px;
}

.seo-map-wrapper .addressWrapper .icon-wrapper,
.seo-map-wrapper .phoneWrapper .icon-wrapper {
    width: 25px !important;
    min-width: 25px;
}

.seo-map-wrapper .rank-badge {
    width: 32px;
    height: 32px;
    line-height: 20px;
    border-radius: 50%;
    background: var(--massage-green, #B8D149);
    color: #2F3B45;
    font-weight: 700;
    font-size: 14px;
    text-align: center;
    box-shadow: 0 0 0 3px #fff, 0 0 0 6px #6B7883;
    z-index: 2;
    pointer-events: none;
    display: flex;
    align-items: center;
    justify-content: center;
}

.seo-map-wrapper p.distance-away {
    font-size: 15px;
    font-weight: 600;
    margin-bottom: 0px;
    margin-right: 17px;
    margin-top: 3px;
}

/* map popup re-styling */

.gm-style-iw-chr {
    position: absolute;
    right: -13px;
    top: -11px;
}

.gm-style-iw-chr button {
    background: var(--massage-green)!important;
    border-radius: 50%;
    opacity: 1;
    width: 36px !important;
    height: 36px !important;
}

.gm-style-iw-d {
    padding-top: 15px;
}

.gm-ui-hover-effect > span {
    width: 20px !important;
    height: 20px !important;
    margin: 8px !important;
}

.gm-style-iw.gm-style-iw-c {
    overflow: visible;
}

/**/

#pac-location {
    border: none;
    outline: 0;
    border-radius: 2px;
    box-shadow: rgba(0,0,0,.7)0 1px 4px;
    cursor: pointer;
    margin-left: 5px;
    padding: 0;
    background-color: #fff;
}

#pac-location div {
    margin: 5px;
    width: 18px;
    height: 18px;
    background-image: url(https://maps.gstatic.com/tactile/mylocation/mylocation-sprite-2x.png);
    background-size: 180px 18px;
    background-position: 0 0;
    background-repeat: no-repeat;
}

#pac-input {
    background-color: #fff;
    font-family: Roboto;
    font-size: 15px;
    font-weight: 300;
    margin-left: 5px;
    padding: 0 11px 0 13px;
    text-overflow: ellipsis;
    width: 300px;
}

#pac-driving-types, #pac-locations {
    border: none;
    outline: 0;
    border-radius: 2px;
    box-shadow: rgba(0,0,0,.7)0 1px 4px;
    cursor: pointer;
    margin-left: 5px;
    padding: 10px;
    background-color: #fff;
    padding-bottom: 5px;
    padding-top: 5px;
}

#pac-label {
    border: none;
    outline: 0;
    border-radius: 2px;
    box-shadow: rgba(0,0,0,.7)0 1px 4px;
    cursor: pointer;
    margin-left: 5px;
    padding: 10px;
    background-color: #fff;
}

.controls {
    width: auto;
    margin-top: 10px;
    border: 1px solid transparent;
    border-radius: 2px 0 0 2px;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    height: 32px;
    outline: 0;
    box-shadow: 0 2px 6px rgb(0 0 0 / 70%);
}

.seo-map-wrapper .mobile-show {
    display: none !important;
}

/* Custom SEO Wrapper */

.custom-map-wrapper h3.location-title {
    text-align: center;
}

.custom-map-wrapper .append-wrapper {
    font-weight: 700;
    font-size: 22px;
    color: var(--massage-green);
    margin-bottom: 3px;
}

.custom-map-wrapper p.clinicName.has-subtext {
    margin-bottom: 4px;
}

.custom-map-wrapper .subtext-wrapper span.subtext {
    font-size: 18px;
    font-weight: 700;
    color: var(--darkest-grey);
}

.custom-map-wrapper .subtext-wrapper {
    margin-bottom: 13px;
    margin-top: 10px;
}

.custom-map-wrapper .button {
    color: var(--darkest-grey)!important;
}

.custom-map-wrapper .button:hover {
    color: #ffffff!important;
}

/*Media Queries*/


@media (min-width: 1367px) and (max-width: 1450px) {
    .seo-map-wrapper p.location-button-wrapper a {
        padding: 8px 12px 8px!important;
    }
}

@media (min-width: 1200px) and (max-width: 1366px) {
    .seo-map-wrapper p.location-button-wrapper {
        flex-direction: column;
        max-width: 75%;
        float: right;
    }

    .seo-map-wrapper ul.clinicSearch li .left-col {
        width: 50%;
    }

    .seo-map-wrapper ul.clinicSearch li .right-col {
        width: 50%;
    }
}

@media (min-width: 992px) and (max-width: 1199px) {
    .seo-map-wrapper p.location-button-wrapper {
        flex-direction: column;
        max-width: 75%;
        float: right;
    }

    .seo-map-wrapper ul.clinicSearch li .left-col {
        width: 50%;
    }

    .seo-map-wrapper ul.clinicSearch li .right-col {
        width: 50%;
    }

    .seo-map-wrapper p.location-button-wrapper a {
        font-size: 16px !important;
        padding: 8px 10px 8px;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    .seo-map-wrapper .sectionPadding2.twoColumnWrapper {
        display: block;
        overflow: auto;
        height: unset;
    }

    .seo-map-wrapper .map-block {
        height: 350px;
    }

    .seo-map-wrapper ul.clinicSearch {
        height: 400px;
    }
}

@media (max-width: 767px) {
    .seo-map-wrapper .sectionPadding2.twoColumnWrapper {
        display: block;
        overflow: auto;
        height: unset;
    }

    .seo-map-wrapper .map-block {
        height: 250px;
    }

    .seo-map-wrapper ul.clinicSearch {
        height: 350px;
        padding: 20px 15px;
    }

    #pac-input, #pac-driving-types, #pac-label {
        display: none;
    }
}

@media (max-width: 575px) {
    .seo-map-wrapper .mobile-hide {
        display: none !important;
    }

    .seo-map-wrapper ul.clinicSearch li {
        display: block;
    }

    .seo-map-wrapper ul.clinicSearch li .left-col {
        width: 100%;
    }

    .seo-map-wrapper ul.clinicSearch li .right-col {
        width: 100%;
    }

    .seo-map-wrapper p.location-button-wrapper {
        justify-content: start;
        margin-top: 10px;
    }

    .seo-map-wrapper p.clinicName {
        display: flex;
        gap: 16px;
    }

    .seo-map-wrapper .mobile-flex {
        display: flex;
        justify-content: space-between;
    }

    .seo-map-wrapper p.distance-away {
        margin-right: 0px;
        margin-top: 0px;
    }

    .seo-map-wrapper .rank-badge {
        width: 25px;
        height: 25px;
    }

    .seo-map-wrapper p.clinicName a, .seo-map-wrapper p.clinicName a:hover {
        font-size: 18px !important;
    }

    .seo-map-wrapper .addressWrapper {
        margin-top: 7px;
    }

    .seo-map-wrapper .mobile-show {
        display: flex !important;
    }

    /* Custom SEO Wrapper */

    .custom-map-wrapper .mobile-flex {
        flex-wrap: wrap;
    }

    .custom-map-wrapper p.append-wrapper {
        width: 100%;
        margin-bottom: 15px;
    }
}